56
Résultats de validation

Eventastic

Eventastic

WordPress 6.5.3 theme
56
  • TYPE DE THèMEThème WordPress %s 6.5.3
  • NOM DU FICHIEReventastic-install.zip
  • TAILLE DU FICHIER8434449 octets
  • MD5c525199ed56754dac77debffb733c2da
  • SHA1e17f44d59ea11948396a8ee0f0e969960974a426
  • LICENCEGNU GPL 2
  • FICHIERS INCLUSCSS, PHP, HTML, XML, Bitmap images, Adobe Illustrator
  • VERSION1.1.3
  • TAGStwo-columns, left-sidebar, right-sidebar, flexible-header, custom-colors, custom-menu, featured-images, full-width-template, post-formats, theme-options, rtl-language-support
  • DATE DE CRéATION2019-08-27
  • DERNIèRE MISE à JOUR DU FICHIER2019-08-27
  • DERNIèRE VALIDATION2019-08-27 11:59
  • AUTRES VERSIONS

    1.1.0 : 16%

Ce thème n'est peut être pas libre. Themecheck ne distribue pas de thèmes commerciaux.
Alertes critiques
  1. Présence d'iframes : Les iframes sont parfois utilisées pour charger du contenu non désirés ou du code malicieux sur des sites tiers <iframe src="http://maps.google.com/maps?'.$strLocation.'&output=embed" width="'.$width.'" height="'.$height.'" frameborder="0" style="border:0" allowfullscreen> trouvé dans le fichier view.php.
    Ligne26: $mapCode = '<iframe src='http://maps.google.com/maps?'.$strLocation.'&output=embed' wid
  2. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip eventastic-core.zip revslider.zip a été trouvé.
Attention
  1. Text domain : Utilisation incorrecte des fonctions de traduction.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont eventastic, eventastics.
  2. Eléments custom : Présence d'une entête customAucune référence à custom header n'a été trouvée dans le thème.
  3. Eléments custom : Présence d'un fond customAucune référence à custom background n'a été trouvée dans le thème.
  4. Editor style : Présence de l'édition de styleAucune référence à add_editor_style() n'a été trouvée dans le thème. Il est recommandé que le thème implémente l'édition de style, de manière à faire correspondre le contenu de l'éditeur l'affichage dans le thème.
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de catégorie category.phpCe thème ne contient pas le fichier optionnel category.php.
  4. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  5. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  6. Fichiers optionnels : Présence de du fichier-template des dates et heures date.phpCe thème ne contient pas le fichier optionnel date.php.
  7. Fichiers optionnels : Présence du fichier-template des résultats de recherche search.phpCe thème ne contient pas le fichier optionnel search.php.
  8. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  9. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  10. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : wpes-theme-plugins.php
    Ligne9: require_once( WPES_THEME_DIR . '/tgm/class-tgm-plugin-activation.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : class-wpes-scripts.php
    Ligne138: require_once( WPES_THEME_DIR . '/css/color/custom.css.php' );
    Ligne146: require_once( WPES_THEME_DIR . '/includes/wpes-customizer.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : class-fw-extension-builder-ext.php
    Ligne161: return include_once( dirname(__FILE__) . '/templates/template-list.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Other checked themes